# completion - Irssi 1.1 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Important

You are reading the help for Irssi 1.1. The current release version is Neırssi 1.3.

# completion

## Syntax

    COMPLETION [-auto] [-delete] <key> <value>

## Parameters

`-auto`: | Inserts the completion without pressing a word completion character.
`-delete`: | Removes the completion from the configuration.

A key and the value to use as a replacement. If no argument is given, the list of completions will be displayed.

## Description

Replaces or completed words or letters; you can write just the first few letters of the word and press TAB to insert a replacement.

When a replacement has been found, Irssi will choose the most probable matching word and replaces it; you may press TAB repeatedly to swap between matches.

If you want to remove a completion which has the auto parameter set, you need to enclose the completion between “’” characters.

## Examples

    /COMPLETION w/h without
    /COMPLETION -auto anywya anyway
    /COMPLETION -delete 'anywya'
    /COMPLETION -delete without

## See also

BIND